[csw-devel] SF.net SVN: gar:[12060] csw/mgar/gar/v2/bin/custom-pkgtrans

wahwah at users.sourceforge.net wahwah at users.sourceforge.net
Tue Dec 21 11:34:33 CET 2010


Revision: 12060
          http://gar.svn.sourceforge.net/gar/?rev=12060&view=rev
Author:   wahwah
Date:     2010-12-21 10:34:33 +0000 (Tue, 21 Dec 2010)

Log Message:
-----------
checkpkg: custom-pkgtrans using bash

Modified Paths:
--------------
    csw/mgar/gar/v2/bin/custom-pkgtrans

Modified: csw/mgar/gar/v2/bin/custom-pkgtrans
===================================================================
--- csw/mgar/gar/v2/bin/custom-pkgtrans	2010-12-21 01:47:20 UTC (rev 12059)
+++ csw/mgar/gar/v2/bin/custom-pkgtrans	2010-12-21 10:34:33 UTC (rev 12060)
@@ -1,10 +1,13 @@
-#!/bin/ksh -p
+#!/bin/bash
 # 
 # $Id$
 #
 # This file exists in order to avoid implementing pipelines in Python.  It
 # could be integrated into the package stats collection program.
 
+set -u
+set -e
+
 command_basename=`basename $0`
 command_basedir="${0%/${command_basename}}"
 libshdir="${command_basedir}/../lib/sh"
@@ -12,11 +15,11 @@
 . "${libshdir}/libcheckpkg.sh"
 
 if [[ -z "$1" || -z "$2" || -z "$3" ]]; then
-	print >&2 "usage: $0 <file.pkg> <targetdir> <pkgname>"
+	echo >&2 "usage: $0 <file.pkg> <targetdir> <pkgname>"
 	exit 1
 fi
 if [[ "$3" == "all" ]]; then
-  print >&2 "This script can't handle 'all' as the third argument"
+  echo >&2 "This script can't handle 'all' as the third argument"
   exit 1
 fi
 custom_pkgtrans "$1" "$2" "$3"


This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.


More information about the devel mailing list